Subject: Re: [RFC PATCH v2 1/6] t0080: turn t-basic unit test into a helper

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Feb 2024 13:27:11 -0800

Josh Steadmon <[email-masked]> writes:

> I see this line in the docs [1]: "As with wildcard expansion in rules,
> the results of the wildcard function are sorted". GNU Make has restored
> the sorted behavior of $(wildcard) since 2018 [2]. I'll leave the sort
> off for now, but if folks feel like we need to support older versions of
> `make`, I'll add it back.
>
> [1] https://www.gnu.org/software/make/manual/html_node/Wildcard-Function.html
> [2] https://savannah.gnu.org/bugs/index.php?52076

Thanks for digging.  I thought I was certain that woldcard is sorted
and stable and was quite perplexed when I could not find the mention
in a version of doc I had handy ("""This is Edition 0.75, last
updated 19 January 2020, of 'The GNU Make Manual', for GNU 'make'
version 4.3.""").